### 介绍

Varlet 是一个基于 `Vue3` 开发的 Material 风格移动端组件库，全面拥抱 `Vue3` 生态，由社区的小伙伴开发和维护。

### 特性

- 🚀 &nbsp; 提供 50 个高质量通用组件
- 🚀 &nbsp; 组件十分轻量
- 💪 &nbsp; 由国人开发，完善的中英文文档和后勤保障
- 🛠️ &nbsp; 支持按需引入
- 🛠️ &nbsp; 支持主题定制
- 🌍 &nbsp; 支持国际化
- 💡 &nbsp; 支持 webstorm，vscode 组件属性高亮
- 💪 &nbsp; 支持 SSR
- 💡 &nbsp; 支持 Typescript
- 💪 &nbsp; 确保 90% 以上单元测试覆盖率，提供稳定性保证
- 🛠️ &nbsp; 支持暗黑模式

### 官方生态

以下项目由官方团队长期维护

| 名称                                                                                                   | 描述                       |
|------------------------------------------------------------------------------------------------------|--------------------------|
| [@varlet/cli](https://github.com/varletjs/varlet/tree/dev/packages/varlet-cli)                       | `Vue3 组件库快速成型工具`         |
| [@varlet/touch-emulator](https://github.com/varletjs/varlet/tree/dev/packages/varlet-touch-emulator) | `桌面端适配器，让移动端组件库可以在桌面端运行` |
| [@varlet/ui-playground](https://github.com/varletjs/varlet/tree/dev/packages/varlet-ui-playground)  | `Varlet 组件库在线编辑工具`       |
| [varlet-vscode-extension](https://github.com/varletjs/varlet/tree/dev/packages/varlet-vscode-extension)  | `Varlet 组件库 VSCode 插件`   |

### 社区生态

以下项目由社区人员维护，欢迎补充

| 名称                                                             | 描述                                        |
|----------------------------------------------------------------|-------------------------------------------|
| [varlet-ute](https://github.com/varletjs/varlet-ute)           | `基于 Varlet 开发的主题编辑工具，提供了 Varlet 组件库的主题配置` |
| [vue-h5-template](https://github.com/sunniejs/vue-h5-template) | `基于 Vue 的移动端模板脚手架，提供了 Varlet 组件库的移动端预设`   |
| [create-vite-app](https://github.com/ErKeLost/create-vite-app) | `基于 Vue3 的桌面端模板脚手架，提供了 Varlet 组件库的桌面端预设`  |

### PR & Issue
使用过程中出现的问题可以到 [github](https://github.com/varletjs/varlet) 来给我们提 [issue](https://github.com/varletjs/varlet/issues)，
我们会在第一时间处理问题。也可以给我们提 [PR](https://github.com/varletjs/varlet/pulls)，我们也十分欢迎小伙伴们来参与贡献。

### 开源协议
组件库基于 `MIT` 协议。

### Material 风格介绍
Material Design，中文名：材料设计语言，是由 Google 推出的全新的设计语言，这种设计语言旨在为手机、平板电脑、台式机和“其他平台”提供更一致、更广泛的“外观和感觉”。

### 特别鸣谢

特别鸣谢 `于铁柱同学-eddieyc@163.com` 对于我们组件库文档站点的视觉支持，从而帮助我们不断进化。